## ros-jazzy-phidgets-high-speed-encoder 2.3.3

=== debian/changelog ===
ros-jazzy-phidgets-high-speed-encoder (2.3.3-3bookworm) bookworm; urgency=high

  * Add support for VINT networkhub (#172 <https://github.com/ros-drivers/phidgets_drivers/issues/172>)
    This is a port of #127 <https://github.com/ros-drivers/phidgets_drivers/issues/127> to ROS2.
    Closes #135 <https://github.com/ros-drivers/phidgets_drivers/issues/135>.
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 12 Mar 2024 16:00:00 -0000

ros-jazzy-phidgets-high-speed-encoder (2.3.2-3bookworm) bookworm; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 26 Nov 2023 16:00:00 -0000

ros-jazzy-phidgets-high-speed-encoder (2.3.1-3bookworm) bookworm; urgency=high

  * BUGFIX: Z-channel index was not observed in reported positions (#158 <https://github.com/ros-drivers/phidgets_drivers/issues/158>)
    * fix doxygen format and ensure initial values
    * BUGFIX: Encoder index was not used
  * BUGFIX: Wrong speed conversion factor (#157 <https://github.com/ros-drivers/phidgets_drivers/issues/157>)
    The current code assumed time intervals from the Phisgets API was microseconds, but it's actually milliseconds. Reported speeds are all wrong by a factor of 1e3.
  * Contributors: Jose Luis Blanco-Claraco, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 02 Mar 2023 16:00:00 -0000

ros-jazzy-phidgets-high-speed-encoder (2.3.0-3bookworm) bookworm; urgency=high

  * Merge pull request #132 <https://github.com/ros-drivers/phidgets_drivers/issues/132> from mintar/feat-pre-commit-ros2
    [galactic] Add pre-commit, move from travis to GitHub actions, fix style
  * Fix clang-format
  * BUGFIX: duplicated values for all encoders (#126 <https://github.com/ros-drivers/phidgets_drivers/issues/126>)
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 12 Apr 2022 16:00:00 -0000

ros-jazzy-phidgets-high-speed-encoder (2.2.2-3bookworm) bookworm; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 16 Feb 2022 16:00:00 -0000

ros-jazzy-phidgets-high-speed-encoder (2.2.1-3bookworm) bookworm; urgency=high

  * Update the ROS 2 readme files. (#93 <https://github.com/ros-drivers/phidgets_drivers/issues/93>)
  * Contributors: Chris Lalancette

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 02 Aug 2021 16:00:00 -0000

ros-jazzy-phidgets-high-speed-encoder (2.2.0-3bookworm) bookworm; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 19 May 2021 16:00:00 -0000

ros-jazzy-phidgets-high-speed-encoder (2.1.0-3bookworm) bookworm; urgency=high

  * Get rid of deprecation warnings in Foxy. (#75 <https://github.com/ros-drivers/phidgets_drivers/issues/75>)
  * Switch header guards to _HPP SUFFIX.
  * Contributors: Chris Lalancette

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 28 Mar 2021 16:00:00 -0000

ros-jazzy-phidgets-high-speed-encoder (2.0.2-3bookworm) bookworm; urgency=high

  * Release build fixes (#67 <https://github.com/ros-drivers/phidgets_drivers/issues/67>)
  * Contributors: Chris Lalancette

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 31 May 2020 16:00:00 -0000

ros-jazzy-phidgets-high-speed-encoder (2.0.1-3bookworm) bookworm; urgency=high

  * Switch the buildtoo_depend to ament_cmake_ros. (#65 <https://github.com/ros-drivers/phidgets_drivers/issues/65>)
  * Contributors: Chris Lalancette

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 04 Dec 2019 16:00:00 -0000

ros-jazzy-phidgets-high-speed-encoder (2.0.0-3bookworm) bookworm; urgency=high

  * Switch from NULL to nullptr.
  * Update READMEs to use "Published Topics" and "Subscribed Topics". (#59 <https://github.com/ros-drivers/phidgets_drivers/issues/59>)
  * Change launch output to "both" so it logs as well.
  * Make publish_rate a double.
  * Print out the serial number when connecting.
  * Port high speed encoder to ROS 2.
  * Ignore all packages for ROS 2 port.
  * Update maintainers in package.xml
  * Merge pull request #39 <https://github.com/ros-drivers/phidgets_drivers/issues/39> from clalancette/add-libphidget22
  * Add launch files for all drivers.
  * Add in try/catch blocks for connecting.
  * Fixes from review.
  * Documentation updates to README.md
  * Set the publish_rate to 0 by default.
  * Add in the license files and add to the headers.
  * Remove nodes in favor of nodelets.
  * Fix a small typo.
  * Rewrite High Speed Encoder to use libphidget22.
  * Rename Phidget class to Phidget21 class.
  * Switch to C++14.
  * Remove unused std_msgs dependency from Phidgets High Speed Encoder.
  * Merge pull request #36 <https://github.com/ros-drivers/phidgets_drivers/issues/36> from clalancette/phidget-cleanup2
  * Run clang-format on the whole codebase.
  * Switch to C++14 everywhere.
  * Split custom messages into their own package.
  * Rewrite the high speed encoder node.
  * Change API from separate open/waitForAttachment to openAndWaitForAttachment.
  * Small cleanups throughout the code.
  * Style cleanup.
  * Switch to package format 2.
  * Cleanup spacing in all of the CMakeLists.txt
  * Contributors: Chris Lalancette, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 04 Dec 2019 16:00:00 -0000

ros-jazzy-phidgets-high-speed-encoder (0.7.9-3bookworm) bookworm; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 27 Jun 2019 16:00:00 -0000

ros-jazzy-phidgets-high-speed-encoder (0.7.8-3bookworm) bookworm; urgency=high

  * phidgets_high_speed_encoder: fix missing tick2rad values (#30 <https://github.com/ros-drivers/phidgets_drivers/issues/30>)
  * Contributors: Charles Brian Quinn

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 05 May 2019 16:00:00 -0000

ros-jazzy-phidgets-high-speed-encoder (0.7.7-3bookworm) bookworm; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 17 Sep 2018 16:00:00 -0000

ros-jazzy-phidgets-high-speed-encoder (0.7.6-3bookworm) bookworm; urgency=high




